Bug 100842 - Fraction number format: String before fraction without integer incorrectly inserted
Summary: Fraction number format: String before fraction without integer incorrectly in...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.0.1 rc
Hardware: All All
: medium normal
Assignee: Laurent BP
URL:
Whiteboard: target:5.3.0 target:5.2.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2016-07-10 20:15 UTC by Laurent BP
Modified: 2016-10-25 18:41 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example of format (7.84 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-07-10 20:15 UTC, Laurent BP
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2016-07-10 20:15:06 UTC
Created attachment 126154 [details]
Example of format

Description: If a fraction has no integer part, and a string is inserted before the fraction, then the string is inserted inside the numerator string.

Steps to reproduce:
1. Format > Cells > Number: enter user defined format:
"a text before fraction "?/?
2. Enter a value higher than 1, for instance 1.2345667

Actual behavior:
Displayed string is
1a text before fraction 1/9

Expected behavior:
Should display:
a text before fraction 11/9

No bug in LibO 5.0.6.3
Suspected resolution of bug 100122

Reverting a3471916370c53c6627ba4010489f539c174bdf9 fix the bug
Comment 1 Eike Rathke 2016-07-11 14:11:31 UTC
The actual cause must be something different than a3471916370c53c6627ba4010489f539c174bdf9, the erroneous behavior is not reproducible in current 5.2.0 where that change was cherry-picked to with http://cgit.freedesktop.org/libreoffice/core/commit/?id=1744120145648a891b58af8c85af7585f38696f6&h=libreoffice-5-2
Comment 2 Eike Rathke 2016-07-11 14:15:14 UTC
Or wait, it is, it depends on the actual number.. 1.23 produces the error, 1.3 does not.
Comment 3 Commit Notification 2016-07-12 09:34:31 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0727e6e79994b66836841978a554b7f6855449dc

tdf#100842 Do not insert things in the middle of the number

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-07-12 09:39:16 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f087e995e169fc348e2b5e0b65d45fd2836fd2d0&h=libreoffice-5-2

tdf#100842 Do not insert things in the middle of the number

It will be available in 5.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-07-12 14:06:42 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-5-2-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0a27e1aa4b710219935f298581ccc993963a6a12&h=libreoffice-5-2-0

tdf#100842 Do not insert things in the middle of the number

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-07-22 20:17:12 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bfec304e86e8ffd258e99ffa3efbbfe1167486bc

tdf#100842 qa unit test

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.